
%div{'ng-controller'=>"MemoirCreateController" }
  %ol.breadcrumb
    %li
      %a{'ng-href'=> "/memoirs"}  CV's list
    %li
      %a{'ng-href'=> "/memoirs/{{memoir.id}}/edit"} CV create form

  %h2= "Create CV with id: #{@memoir.id} by #{current_user.names} #{current_user.surname}"
  %div.row
    %div.col-md-6
      %div.panel.panel-default
        %div.panel-heading
          %h4 User's Addresses list
        %div.panel-body{:style=>" height: 500px; overflow: scroll; padding: 20px;"}
          %ul{:style=>"list-style-type: none;"}
            %li{ 'ng-repeat'=> "a in addresses"}
              %span{ 'ng-if'=>"memoir.address_id != null && a.id == memoir.address_id"}
                %strong Address assigned to CV is:
                %br
              %span{ 'ng-hide'=>"memoir.address_id != null && a.id != memoir.address_id"}
                {{ a.street }} {{ a.housenumber }}
                %span{ 'ng-if'=>"a.flatnumber != null" } / {{ a.flatnumber }}
                %br
                {{ a.postalcode }} {{ a.city }}
                %br
                {{ a.country }}
                %br
                %span{ 'ng-hide'=>"memoir.address_id == a.id"}
                  %button.btn.btn-primary{ 'ng-click'=>"updateAddAddress(a.id)"} Sign to CV
                %hr


    %div.col-md-6
      %div.panel.panel-primary
        %div.panel-heading
          Nowy adres:
        %div.panel-body
          %form{'ng-submit'=>"addAddress()"}

            %label Ulica / Miejscowość
            %input{'ng-model'=>"newAddress.street", :class=>"form-control" }
            %div.row
              %div.col-xs-6
                %label Numer domu
                %input{'ng-model'=>"newAddress.housenumber", :class=>"form-control" }
              %div.col-xs-6
                %label Numer lokalu
                %input{'ng-model'=>"newAddress.flatnumber", :class=>"form-control" }
            %div.row
              %div.col-xs-3
                %label Kod pocztowy
                %input{'ng-model'=>"newAddress.postalcode", :class=>"form-control" }
              %div.col-xs-9
                %label Miasto
                %input{'ng-model'=>"newAddress.city", :class=>"form-control" }
            %label Kraj
            %input{'ng-model'=>"newAddress.country", :class=>"form-control" }
            %br
            %button.btn.btn-success.btn-block{ :type=>"submit"} Add
  %div.row
    %div.col-md-12
      %div.panel.panel-primary
        %div.panel-heading
          %h4 CV's Educations
        %div.panel-body
          %div.row{ 'ng-repeat'=>"me in memoirEducations", :style=>"padding-top: 15px; padding-bottom: 15px; border-bottom: 1px solid #023;"}
            %div.col-md-3
              {{ me.start | date:"MM/yyyy" }} - {{ me.finish | date:"MM/yyyy" }}
            %div.col-md-8
              {{ me.school }} w zawodzie {{ me.proffesion }} o specjalizacji {{ me.speciality }}
            %div.col-md-1
              %button.btn.btn-danger.btn-xs{ 'ng-click'=>"deleteEduFromForm(memoir.id, me.id, $index)" } Remove


      %div.panel.panel-info
        %div.panel-heading
          %h4 Add existing Educations to CV
        %div.panel-body{:style=>" height: 200px; overflow: scroll;"}
          %div.row{'ng-repeat'=>"ed in educations", :style=>"padding-top: 15px; padding-bottom: 15px; border-bottom: 1px solid #023;"}
            %div.col-md-3
              {{ ed.start | date:"MM/yyyy" }} - {{ ed.finish | date:"MM/yyyy" }}
            %div.col-md-8
              {{ ed.school }} w zawodzie {{ ed.proffesion }} o specjalizacji {{ ed.speciality }}
            %div.col-md-1
              %button.btn.btn-info.btn-xs{'ng-click'=>"addEducationToMemoir($scope.memoir.id, ed.id, $index)"} Add
        %div.panel-footer
          %div.row
            %div.form-inline
              %div.col-md-4.form-group
                %label Data początkowa
                %input.form-control{:type=>'date', 'ng-model'=>"newEducation.start", :placeholder=>"Data początkowa" }
              %div.col-md-4.form-group
                %label Data końcowa
                %input.form-control{:type=>'date', 'ng-model'=>"newEducation.finish", :placeholder=>"Data końcowa" }
          %br
          %div.row{:style=>"padding-bottom: 15px;"}
            %div.form-inline
              %div.col-md-12.form-group
                %label Szkoła
                %input.form-control{:type=>'text', 'ng-model'=>"newEducation.school", :placeholder=>"Szkoła", :style=>"width: 95%; text-align: right;" }
          %div.row{:style=>"padding-bottom: 15px;"}
            %div.form-inline
              %div.col-md-12.form-group
                %label w zawodzie
                %input.form-control{:type=>'text', 'ng-model'=>"newEducation.proffesion", :placeholder=>"Zawód", :style=>"width: 92%; text-align: right;" }
          %div.row{:style=>"padding-bottom: 15px;"}
            %div.form-inline
              %div.col-md-12.form-group
                %label o specjalizacji
                %input.form-control{:type=>'text', 'ng-model'=>"newEducation.speciality", :placeholder=>"Specjalizacji", :style=>"width: 90.5%; text-align: right;" }
          %div.row
            %div.form-inline
              %div.col-md-12.form-group
                %button.btn.btn-success.pull-right{ 'ng-click'=>"addEducation()" } Dodaj szkołę


  %div.row
    %div.col-md-12
      %div.panel.panel-primary
        %div.panel-heading
          %h4 Doświadczenia zawodowe
        %div.panel-body
          %div.row{'ng-repeat'=>"mex in memoirExperiences", :style=>"padding-top: 15px; padding-bottom: 15px; border-bottom: 1px solid #023;"}
            %div.col-md-3
              {{ mex.start | date:"MM/yyyy" }} - {{ mex.finish | date:"MM/yyyy" }}
            %div.col-md-8
              {{ mex.firm }} na stanowisku {{ mex.position }}
            %div.col-md-1
              %button.btn.btn-danger.btn-xs{ 'ng-click'=>"deleteExpFromForm(memoir.id, mex.id, $index)" } Remove


      %div.panel.panel-info
        %div.panel-heading
          %h4 Doświadczenia zawodowe użytkownika
        %div.panel-body{:style=>" height: 200px; overflow: scroll;"}
          %div.row{'ng-repeat'=>"exp in experiences", :style=>"padding-top: 15px; padding-bottom: 15px; border-bottom: 1px solid #023;"}
            %div.col-md-3
              {{ exp.start | date:"MM/yyyy" }} - {{ exp.finish | date:"MM/yyyy" }}
            %div.col-md-8
              {{ exp.firm }} na stanowisku {{ exp.position }}
            %div.col-md-1
              %button.btn.btn-info.btn-xs{'ng-click'=>"addExperienceToMemoir(memoir.id, exp.id, $index)"} Dodaj
        %div.panel-footer
          %div.row
            %div.form-inline
              %div.col-md-4.form-group
                %label Data początkowa
                %input.form-control{:type=>'date', 'ng-model'=>"newExperience.start", :placeholder=>"Data początkowa" }
              %div.col-md-4.form-group
                %label Data końcowa
                %input.form-control{:type=>'date', 'ng-model'=>"newExperience.finish", :placeholder=>"Data końcowa" }
          %br
          %div.row{:style=>"padding-bottom: 15px;"}
            %div.form-inline
              %div.col-md-12.form-group
                %label Firma
                %input.form-control{:type=>'text', 'ng-model'=>"newExperience.firm", :placeholder=>"Miejsce pracy", :style=>"width: 95%; text-align: right;" }
          %div.row{:style=>"padding-bottom: 15px;"}
            %div.form-inline
              %div.col-md-12.form-group
                %label na stanowisku
                %input.form-control{:type=>'text', 'ng-model'=>"newExperience.position", :placeholder=>"Stanowisko", :style=>"width: 90%; text-align: right;" }
          %div.row
            %div.form-inline
              %div.col-md-12.form-group
                %button.btn.btn-success.pull-right{ 'ng-click'=>"addExperience()" } Dodaj doświadczenie



  %div.row
    %div.col-md-12
      %a.btn.btn-primary.pull-right{'ng-href'=>"/memoirs/{{memoir.id}}"} Podgląd
      %a.btn.btn-danger.pull-right{'ng-href'=>"/memoirs/{{memoir.id}}.pdf"} Pdf
      %a.btn.btn-default.pull-right{'ng-href'=>"/memoirs"} Strona główna
